{% extends "focal/focal_base.html"%}
{% load staticfiles %}

{% block site %} - Présentation{% endblock %}

{% block lib %}
    <!--script type="text/javascript" language="javascript"
          src="{% static 'circo/js/toc.min.js' %}"></script-->
{% endblock %}

 <!-- html content -->
{% block content %}

  <div class="container">

  <h2 id="presentation">Présentation du catalogue</h2>

        <div class="toc">
            <!--h3 id="sommaire">Sommaire</h3-->
            <p>L'objectif du site 'catalogue des formations calcul' est de centraliser
            au niveau national l'information en lien avec les formations autour
            du calcul au sens large – calcul haute performance, langages et
            bibliothèques scientifiques, modélisation mathématiques, statistiques …
            Ceci afin de profiter des expertises de chacun et d'améliorer les
            collaborations.</p>
            <b>Sommaire</b>
            <ul>
                <li><a href="#finalite">Finalité du site</a></li>
                <li><a href="#acteur">Les acteurs du projet</a></li>
                <li><a href="#contenu">Contenu</a></li>
                    <ul>
                        <li><a href="#contenu">Fonctionnalités actuelles</a></li>
                        <li><a href="#a-venir">Fonctionnalités à venir</a></li>
                    </ul>
                <li><a href="#ajout">Pour ajouter des formations</a></li>
                     <ul>
                        <li><a href="#ajout">Demander l'ouverture d'un compte</a></li>
                        <li><a href="#modifier">Ajouter/Modifier des formations</a></li>
                    </ul>
                <li><a href="#techno">Technologies et développements</a></li>
            </ul>
        </div>
        <br>

    <div class="focal_text">

        <h3 id="finalite">
            Finalité du site&nbsp;&nbsp;
        </h3>
        <p>Au sein de la communauté du calcul, un certain nombre d'acteurs propose
            des formations. Afin de profiter des expertises de chacun, d'améliorer
            les collaborations et de ne pas faire plusieurs fois les mêmes
            formations, ce site propose de centraliser l'information en lien avec
            les formations autour du calcul au sens large (calcul haute performance,
            langages et bibliothèques scientifiques, modélisation, mathématiques,
            statistiques, ...).
        </p>
        <p>Ce recensement national est dédié aux formations continues et aux journées spécifiques.
            Les séminaires spécialisés ou colloques de recherche ne sont pas dans le
            périmètre de cette base, de même que les formations classiques/initiales
            (licence, école ingénieur, master). En revanche, les écoles ou les
            exposés pédagogiques pour former à l'utilisation d'un logiciel ou d'une
            méthode, même à l'intérieur d'un colloque, peuvent être répertoriés.
        </p>

        <hr class="hr1">

        <h3 id="acteur">
            Les acteurs du projet&nbsp;&nbsp;&nbsp;
              <!--a href="#presentation" class="haut">
                  <span>Haut^</span-->
                  <!--img src="/static/site_calcul/img/vers-haut-icone-5253-96.png" alt="Haut" height="20" title="Revenir en haut"-->
            </a>
        </h3>
        <p>Il s'agit d'une opération portée par le <a href="http://calcul.math.cnrs.fr">Groupe Calcul</a>,
            la <a href="http://www.maisondelasimulation.fr">Maison de la Simulation</a>
            et l'<a href="http://www.agence-maths-entreprises.fr">AMIES</a> qui ont tous
            une dimension nationale et un intérêt pour la visibilité des formations liées
            au calcul et/ou à destination des entreprises.
        </p>
        <p>Cette opération est bien évidemment ouverte à d'autres partenaires qui
            proposent des formations en lien avec le calcul scientifique et le
            calcul intensif, ou la modélisation et les mathématiques.
        </p>
        <p>Les développements informatique sont gérés par <a href="http://maimosine.fr">MaiMoSiNE</a>,
            qui implémente son propre catalogue des formations sur le bassin grenoblois.
            Ils se font également en collaboration avec <a href="http://www.mathrice.org">Mathrice</a>
            qui code un outil similaire, <a href="https://portail.math.cnrs.fr/agenda">l'agenda des mathématiques</a>.
        </p>
        <!--p>Le projet a pour vocation de s'ouvrir aux autres entités qui proposent
            des formations en lien avec le calcul scientifique et le calcul
            intensif ou la modélisation et les mathématiques.
        </p-->
        <hr class="hr1">

        <h3 id="contenu">Contenu</h3>
        <h4>Fonctionnalités actuelles</h4>
        <ul>
            <li><b>Affichage des données - site http://formation-calcul.fr</b>
                <ul>
                    <li> Affichage des formations à venir : tableau + carte interactive</li>
                    <li> Recherche d'une formation parmi les formations à venir</li>
                    <li> Affichage de la fiche détaillée d'une formation</li>
                </ul>
            </li>
            <li><b>Saisie des données - site http://formation-calcul.fr/admin</b>
                <ul>
                    <li>Ajout, modification, suppression des formations ainsi que d'autres éléments qui leurs sont associés :
                        entités, mots clefs, personnes, calendriers et agglomérations</li>
                    <li>Gestion des comptes utilisateurs. Plusieurs types d'accès aux données
                        sont possibles suivant le profil utilisateur
                </ul>
            </li>
            <li><b>Distribution des données - site http://formation-calcul.fr/api</b>
                <ul>
                    <li> API REST : Distribution de la liste des formations aux formats JSON, JSONP, XML</li>
                    <li> Mise à disposition d'un code Javascript pour pouvoir afficher les
                        formations sur un site client distant</li>
                </ul>
            </li>
        </ul>
        <h4 id="a-venir">Fonctionnalités à venir</h4>
        <ul>
            <li>Affichage mobiles</li>
            <li>Etoffer l'API REST et l'affichage sur site client distant, avec possibilité
                de sélectionner un sous ensemble de formations</li>
            <li>Système de tag/abonnements</li>
            <li>Utilisation d'un moteur de recherche</li>
            <li>Pouvoir se connecter au site de saisie via une fédération d'identité</li>
        </ul>
        <hr class="hr1">

        <h3 id="ajout">Pour ajouter des formations</h3>
        <h4>1- Demander l'ouverture d'un compte</h4>
        <p>Demander par mail l'ouverture d'un compte sur le site de saisie auprès
            d'une des personnes suivantes :</p>
        <ul>
            <li>AMIES :
                <a href="mailto:cordier@math.cnrs.fr">Stéphane Cordier</a>,
                <a href="mailto:sylvain.coulon@agence-maths-entreprises.fr">Sylvain Coulon</a>
            </li>
            <li>Groupe Calcul :
                <a href="mailto:loic.gouarin@math.u-psud.fr">Loic Gouarin</a>,
                <a href="mailto:louvet@math.univ-lyon1.fr">Violaine Louvet</a>
            </li>
            <li>Maison de la Simulation : <a href="mailto:samuel.kokh@cea.fr">Samuel Kokh</a></li>
            <li>MaiMoSiNE : <a href="mailto:caroline.bligny@imag.fr">Caroline Bligny</a></li>
        </ul>
        <h4 id="modifier">2- Ajouter/Modifier des formations</h4>
        <p>Trois liens permettent d'accéder à la saisie :</p>
        <ul>
            <li>Le lien 'Saisie' dans l'entête, qui pointe vers le tableau de bord du site de saisie</li>
            <li>Le lien 'Ajouter une formation' en haut du tableau de la liste des formations</li>
            <li>Lien 'Editer' en haut d'une fiche formation</li>
        </ul>
        <hr class="hr1">

        <h3 id="techno">Technologies et développements</h3>
        <ul>
            <li>Le <b>site de consultation</b> est basé sur les librairies javascript
                <a href="https://jquery.com/">jquery</a>,
                <a href="https://datatables.net/">datatables</a> et
                <a href="http://leafletjs.com/">Leaflet</a>.
                La carte interactive se base sur des données fournies par
                <a href="http://openstreetmap.fr/">openstreetmap</a>.
                L'accès aux données se fait via le framework Django et l'outil CirCo
                (voir 'site de saisie' ci dessous).
            </li>
            <li>Les <b>sites de saisie et de distribution des données</b> utilisent
                l'outil CirCo, lui même basé sur le framework de développement web en python
                <a href="https://www.djangoproject.com/">Django</a> et son écosystème.
                CirCo comprend aussi des modules 'experts' et 'collaborations' et
                peut être utilisé pour d'autres projets. (Un module 'soft' est à l'étude...)
            </li>
            <li><b>Hébergement</b> du site, support infrastructure : Mathrice</li>
            <li>Le <b>code</b> est hébergé sur <a href="https://sourcesup.renater.fr/">sourcesup</a>,
                la forge de renater, et utilise le gestionnaire de version GIT.</li>
            <li><b>Développements</b> :  Caroline Bligny (MaiMoSiNE), Etienne Dupuy (AMIES),
                avec le soutien de Gérard Henry qui travaille sur l'agenda des mathématiques pour Mathrice</li>
            <li><b>Web design</b> : Fanny Fastien (MaiMoSiNE/Institut Fourier)</li>
        </ul>

    </div>

  </div>

{% endblock %} <!-- tag : fin du block content -->

